RCCE(3)

NAME
RCCE_put - copies contents from src to target (GORY)

SYNOPSIS
#include <rcce.h>

int RCCE_put(volatile char * target,volatile char * ,src,int num_bytes,int ID);

DESCRIPTION
RCCE_put() copies the contents of the buffer pointed to by src into the location pointed to by target.

target
    An MPB address that will be converted to the appropriate address on UE with rank ID that points to where the data will go.

src The address in private memory or the local MPB of the calling UE that points to the data to be put.

num_bytes
    Number of bytes to copy to the target.

ID  Rank of the target UE.

RETURN VALUE
Upon successful completion RCCE_put() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.